<template>
  <nut-searchbar shape="round" class="bole-search-bar" v-model.trim="model" v-bind="$attrs">
    <template #leftin>
      <Search2 />
    </template>
  </nut-searchbar>
</template>

<script setup lang="ts">
import { Search2 } from '@nutui/icons-vue-taro';

defineOptions({
  name: 'BlSearchbar',
});

// type Props = {};

// const props = withDefaults(defineProps<Props>(), {});
const model = defineModel<string>();
</script>

<style lang="scss">
@import '@/styles/common.scss';

.bole-search-bar {
  padding: 0;
  background-color: transparent;

  .nut-searchbar__search-input {
    box-shadow: none;
    border: 1px solid boleGetCssVar('color', 'primary');
  }
}
</style>
